Bug 1174297 (CVE-2020-14001)

Summary: VUL-0: CVE-2020-14001: rubygem-kramdown: processing template options inside documents allows unintended read access or embedded Ruby code execution
Product: [Novell Products] SUSE Security Incidents Reporter: Alexandros Toptsoglou <atoptsoglou>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: NEW --- QA Contact: Security Team bot <security-team>
Severity: Major    
Priority: P3 - Medium CC: cathy.hu, coldpool, gabriele.sonnu, pgajdos, smash_bz
Version: unspecifiedFlags: gabriele.sonnu: needinfo? (coldpool)
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/263937/
Whiteboard: CVSSv3.1:SUSE:CVE-2020-14001:7.3:(AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:L/A:L)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Alexandros Toptsoglou 2020-07-20 08:36:46 UTC
CVE-2020-14001

The kramdown gem before 2.3.0 for Ruby processes the template option inside Kramdown documents by default, which allows unintended read access (such as template="/etc/passwd") or unintended embedded Ruby code execution (such as a string that begins with template="string://<%= `). NOTE: kramdown is used in Jekyll, GitLab Pages, GitHub Pages, and Thredded Forum.

Reference and upstream commit:
https://github.com/gettalong/kramdown/commit/1b8fd33c3120bfc6e5164b449e2c2fc9c9306fde

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1858395
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-14001
https://github.com/gettalong/kramdown
https://github.com/gettalong/kramdown/compare/REL_2_2_1...REL_2_3_0
https://github.com/gettalong/kramdown/commit/1b8fd33c3120bfc6e5164b449e2c2fc9c9306fde
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-14001
https://kramdown.gettalong.org
https://kramdown.gettalong.org/news.html
https://rubygems.org/gems/kramdown
Comment 1 Alexandros Toptsoglou 2020-07-20 08:37:34 UTC
Tracked SLE15 and Factory as affected
Comment 4 Petr Gajdos 2022-09-08 12:09:05 UTC
Factory has 2.4.0, so the issue is fixed there:

-------------------------------------------------------------------
Tue Aug 11 01:44:29 UTC 2020 - Matthew Trescott <matthewtrescott@gmail.com>

- updated to version 2.3.0
  ## kramdown 2.3.0 released

[...]

  [CVE-2020-14001]: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-14001
Comment 5 Petr Gajdos 2022-09-08 12:45:40 UTC
Submitted for 15/rubygem-kramdown.

I believe all fixed.
Comment 7 Swamp Workflow Management 2022-09-12 16:20:35 UTC
SUSE-SU-2022:3259-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1174297
CVE References: CVE-2020-14001
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    rubygem-kramdown-1.15.0-150000.3.3.1
openSUSE Leap 15.3 (src):    rubygem-kramdown-1.15.0-150000.3.3.1
SUSE Linux Enterprise High Availability 15-SP4 (src):    rubygem-kramdown-1.15.0-150000.3.3.1
SUSE Linux Enterprise High Availability 15-SP3 (src):    rubygem-kramdown-1.15.0-150000.3.3.1
SUSE Linux Enterprise High Availability 15-SP2 (src):    rubygem-kramdown-1.15.0-150000.3.3.1
SUSE Linux Enterprise High Availability 15-SP1 (src):    rubygem-kramdown-1.15.0-150000.3.3.1
SUSE Linux Enterprise High Availability 15 (src):    rubygem-kramdown-1.15.0-150000.3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.